DUET PlatformDocs
API referenceRead APIStatus

List site status

available
GET
/platform/v1/sites/status

Lists the connection status, data freshness, and device status rollup of each site in a project. Status updates within seconds of a change at the site.

Authorization

Bearer
headerAuthorizationBearer <token>

Query Parameters

project_id*string

The ID of the project to read from.

Response Body

The site status rows, ordered by site.

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.enurgen.com/platform/v1/sites/status?project_id=string'
Example Response
[  {    "site": "string",    "connection_status": "connected",    "connection_changed_at": "2019-08-24T14:15:22Z",    "last_data_at": "2019-08-24T14:15:22Z",    "freshness_tag": "string",    "status": "normal",    "device_counts": {      "normal": 0,      "standby": 0,      "communication_loss": 0,      "out_of_service": 0,      "fault": 0,      "no_data": 0    },    "operating_state_counts": {      "property1": {        "property1": 0,        "property2": 0      },      "property2": {        "property1": 0,        "property2": 0      }    },    "devices": [      {        "device_key": "string",        "device_id": "string",        "device_name": "string",        "device_type": "string",        "status": "normal",        "status_since": "2019-08-24T14:15:22Z",        "operating_state": "string",        "reason": "string"      }    ]  }]